/**************************************************
// ██╗  ██╗███████╗ █████╗ ██████╗ ███████╗██████╗ 
// ██║  ██║██╔════╝██╔══██╗██╔══██╗██╔════╝██╔══██╗
// ███████║█████╗  ███████║██║  ██║█████╗  ██████╔╝
// ██╔══██║██╔══╝  ██╔══██║██║  ██║██╔══╝  ██╔══██╗
// ██║  ██║███████╗██║  ██║██████╔╝███████╗██║  ██║
// ╚═╝  ╚═╝╚══════╝╚═╝  ╚═╝╚═════╝ ╚══════╝╚═╝  ╚═╝
// 1. Main Header
**************************************************/

@mixin companyName{
    font-weight: 700;
    @include textLarge();
    margin-bottom: 4px;
}

@mixin companyDetailsLabel{
    display: inline-block;
    color: $grey;
    @include textXSmall();
    text-transform: uppercase;
}


.invoice--id{
	position: absolute;
    right: 30px;
    @include textMedium();
	text-align: right;
}

.invoice--head{
    position: relative;
	display: flex;
	flex-direction: row;
	//justify-content: space-between;
    margin: 20px 0 60px;
    padding: 70px 0 0;
}

/**************************************************
 * COMPANY DETAILS
**************************************************/
.company-logo{
    position: absolute;
    top: 0;
    max-height: 60px;

    img{
        display: block;
    }
}

.company-informations{
    width: 60%;
    @include textSmall()

    & div{
        margin: 0 0 10px;
    }
    p{
        //@include font(12,14);
        span{
            @include companyDetailsLabel();
        }
    }
}

.company-id{
    //@include font(12,14);

    p{
        //@include font(12,14);
    }
    
    .company-name{
        @include companyName();
    }
}

.company-name{
    @include companyName();
}

.company-zipcode, .company-city,
.client-zipcode, .client-city{
    display: inline-block;
}

/**************************************************
 * CLIENT DETAILS
**************************************************/
.client-informations{
    width: 40%;
    //margin-top: 70px;
}

.client-name{
    @extend .company-name;
}

.client-label{
    @include companyDetailsLabel();
    margin-bottom: 5px;
    text-transform: none;
}